import { OpenAPIHono } from "@hono/zod-openapi";

const app = new OpenAPIHono();

import stats from "./route/stats.js";
import history from "./route/invHistory.js";
import { createJob } from "../notifications/utils/processNotifications.js";
import { historicalInvIMmport } from "./utils/historicalInv.js";
const routes = [stats, history] as const;

const appRoutes = routes.forEach((route) => {
    app.route("/eom", route);
});

// setTimeout(() => {
//     historicalInvIMmport();
// }, 5 * 1000);
// the time we want to run the hostircal data should be  the same time the historical data run on the server
// getting this from the shift time
createJob("eom_historical_inv", "0 7 * * *", historicalInvIMmport);

export default app;
